package com.ascendfinalproject.warehouse.services;

import com.ascendfinalproject.warehouse.models.WarehouseOrder;
import com.ascendfinalproject.warehouse.repositories.WarehouseOrderRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

@Service
public class WarehouseOrderService {

  @Autowired
  WarehouseOrderRepository orderRepository;

  public Flux<WarehouseOrder> getOrders() {
    return orderRepository.findAll();
  }

  public Mono<WarehouseOrder> createOrder(WarehouseOrder order) {
    return orderRepository.save(order);
  }

}
